﻿using System;
using System.Data;
using System.Text;
using System.Threading;
using System.Collections;
using System.Collections.Generic;

using Xoa.Virtual.Users;
using Xoa.Virtual.Gangs;
using Xoa.Virtual.Rooms;
using Ion.Storage;
using Xoa;

namespace Xoa.Managers
{
    public static class gangManager
    {
        public static Hashtable _Gangs = new Hashtable();

        public static void Init()
        {
            DataColumn dLol;
            using (DatabaseClient dbClient = Eucalypt.dbManager.GetClient())
            {
                dLol = dbClient.getColumn("SELECT owner FROM gang_corps");
            }
            int[] GangIDs = dataHandling.dColToArray(dLol, null);
            for (int i = 0; i < GangIDs.Length; i++)
            {
                virtualGang Gang = new virtualGang(GangIDs[i]);
                _Gangs.Remove(GangIDs[i]);
                _Gangs.Add(GangIDs[i], Gang);
            }
            Out.WriteLine("Gang System Loaded Successfully");
        }

        public static virtualGang getGang(int ID)
        {
            try { return (virtualGang)_Gangs[ID]; }
            catch { return null; }
        }
    }
}
